//+------------------------------------------------------------------+
//|                                                     Blank EA.mq4 |
//|                               Copyright  2007, Nondisclosure007 |
//|                                               http://no.link.yet |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, Nondisclosure007"
#property link      "http://no.link.yet"

extern string     TS_Inputs      = " TrendStrength parameters";
extern int        TS_TimeFrame   =     43200;    // Time Frame in min
extern int        TS_Length      =    14;    // Period of evaluation
extern int        TS_Smooth      =     5;    // Period of smoothing
extern double     TS_K           = 4.236;    // Sensitivity Factor
extern int        TS_CurBar      =     1;    // Shift relative to the current bar
extern int        TS_Mode        =     1;    // TS Mode: 0-off,1-trend(confirmation),2-signal

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
   double SmRsi = iCustom(NULL,TS_TimeFrame,"TrendStrength_v2",TS_Length,TS_Smooth,TS_K,0,TS_CurBar);
   double Uptrend  = iCustom(NULL,TS_TimeFrame,"TrendStrength_v2",TS_Length,TS_Smooth,TS_K,1,TS_CurBar);
   double Downtrend  = iCustom(NULL,TS_TimeFrame,"TrendStrength_v2",TS_Length,TS_Smooth,TS_K,2,TS_CurBar);
   double RSI = iCustom(NULL,TS_TimeFrame,"TrendStrength_v2",TS_Length,TS_Smooth,TS_K,3,TS_CurBar);
   double ATRRSI  = iCustom(NULL,TS_TimeFrame,"TrendStrength_v2",TS_Length,TS_Smooth,TS_K,4,TS_CurBar);
   double smin  = iCustom(NULL,TS_TimeFrame,"TrendStrength_v2",TS_Length,TS_Smooth,TS_K,5,TS_CurBar);
   double smax  = iCustom(NULL,TS_TimeFrame,"TrendStrength_v2",TS_Length,TS_Smooth,TS_K,6,TS_CurBar);
   double trend  = iCustom(NULL,TS_TimeFrame,"TrendStrength_v2",TS_Length,TS_Smooth,TS_K,7,TS_CurBar);
   
   Comment("SmRSI= ",SmRsi,"\n",
           "Uptrend= ",Uptrend,"\n",
           "Downtrend= ",Downtrend,"\n",
           "RSI= ",RSI,"\n",
           "ATRRSI= ",ATRRSI,"\n",
           "smin= ",smin,"\n",
           "smax= ",smax,"\n",
           "trend= ",trend,"\n");
   
//----
   return(0);
  }
//+------------------------------------------------------------------+